Loading...
Searching...
No Matches
OgreShaderFFPRenderState.h File Reference
`#include "OgreShaderPrerequisites.h"`

## Namespaces

namespace | Ogre
namespace | Ogre::RTShader

## Enumerations

enum

Ogre::RTShader::FFPFragmentShaderStage {
Ogre::RTShader::FFP_PS_PRE_PROCESS = 0 , Ogre::RTShader::FFP_PS_COLOUR_BEGIN = 100 , Ogre::RTShader::FFP_PS_SAMPLING = 150 , Ogre::RTShader::FFP_PS_TEXTURING = 200 ,
Ogre::RTShader::FFP_PS_ALPHA_TEST = 250 , Ogre::RTShader::FFP_PS_COLOUR_END = 300 , Ogre::RTShader::FFP_PS_PBR_LIGHTING_BEGIN = 350 , Ogre::RTShader::FFP_PS_PBR_LIGHTING_END = 360 ,
Ogre::RTShader::FFP_PS_FOG = 400 , Ogre::RTShader::FFP_PS_POST_PROCESS = 500
}

enum | Ogre::RTShader::FFPShaderStage { Ogre::RTShader::FFP_PRE_PROCESS = 0 , Ogre::RTShader::FFP_TRANSFORM = 100 , Ogre::RTShader::FFP_COLOUR = 200 , Ogre::RTShader::FFP_LIGHTING = 300 , Ogre::RTShader::FFP_TEXTURING = 400 , Ogre::RTShader::FFP_FOG = 500 , Ogre::RTShader::FFP_POST_PROCESS = 600 , Ogre::RTShader::FFP_ALPHA_TEST = 1000 }
enum | Ogre::RTShader::FFPVertexShaderStage { Ogre::RTShader::FFP_VS_PRE_PROCESS = 0 , Ogre::RTShader::FFP_VS_TRANSFORM = 100 , Ogre::RTShader::FFP_VS_COLOUR = 200 , Ogre::RTShader::FFP_VS_LIGHTING = 300 , Ogre::RTShader::FFP_VS_TEXTURING = 400 , Ogre::RTShader::FFP_VS_FOG = 500 , Ogre::RTShader::FFP_VS_POST_PROCESS = 2000 }